<template>
    <div class="box-user__table--body wow fadeInUp">
        <p class="text-data">{{ item.ip }}</p>
        <p class="text-data">{{ item.comment }}</p>
        <p class="text-data">{{ formattedDate }}</p>
        <p class="text-data">
            <svg class="cancel" @click="deleteItem(item.id)">
                <use xlink:href="/img/sprite.svg#cancel-button"></use>
            </svg>
        </p>
    </div>
</template>

<script>
    import {mapGetters} from "vuex";

    export default {
        name: "BlacklistItem",
        props: ['item'],
        computed: {
            ...mapGetters([
                'axios'
            ]),
            formattedDate(){
                return this.$date(this.item.created_at).format('DD.MM.YYYY HH:mm:ss');
            },
        },
        methods: {
            deleteItem(id){
                this.axios
                    .post(`blacklist/${id}/delete`)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal('Запись удалена');
                            this.$emit('reload');
                        }else{
                            this.$swal(this.$t('ui.error'), '', 'error')
                        }
                    });
            },
        }
    }
</script>

<style scoped lang="scss">
.cancel{
    width: 22px;
    height: 22px;
    fill:#ee4949;
    cursor: pointer;
    transition-duration: 500ms;
    transition-property: fill;
    &:hover{
        fill: darken(#ee4949, 20%);
        cursor: pointer;
    }
}
</style>
